package com.hdkj.lt.base.enums;

/**
 * @Description: 组织机构类型
 * @Author: wenhao
 * @Create: 2023/03/24 15:52
 * @Version: 1.0
 */
public enum OrganTypeEnum implements BaseValidEnum<String> {

    /**
     * 省公司
     */
    PROVINCE("1", "sgs", "省公司"),

    /**
     * 地市
     */
    CITY("4", "ds", "地市"),

    /**
     * 区县
     */
    COUNTY("5", "qx", "区县"),

    /**
     * 班组
     */
    TEAM("6", "bs", "班组"),

    /**
     * 小组（预留，目前不存在）
     */
    GROUP("0", "xz", "小组"),

    /**
     * 人员
     */
    USER("9", "ry", "人员");

    final String code;

    final String desc;

    final String typeName;

    OrganTypeEnum(String code, String desc, String typeName) {
        this.code = code;
        this.desc = desc;
        this.typeName = typeName;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    @Override
    public String getDesc() {
        return this.desc;
    }

    public String getTypeName() {
        return this.typeName;
    }

}
